﻿#include <iostream>
#include <math.h>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
	int64_t L, R, n, s = 0, x = 0;

	cin >> L >> R >> n;

	vector<int64_t> d;
	d.resize(n + 1, 0);

	for (int64_t i = 1; i < n + 1; i++) {
		cin >> x;
		s += x;
		d[i] = s;
	}

	for (int64_t s = 0; s <= n; ++s) {
		int64_t f_h = n, f_l = 0, f_m = n / 2;
		int64_t f_h_old = -1, f_l_old = -1;
		while (f_h != f_h_old || f_l != f_l_old) {
			f_h_old = f_h;
			f_l_old = f_l;
			f_m = (f_h + f_l + 1) / 2;
			if (d[f_m] - d[s] >= R) {
				f_h = f_m + 1;
			}
			else {
				f_l = f_m - 1;
			}
			if (d[f_m] - d[s] <= R && d[f_m] - d[s] >= L && d[f_m] > d[s]) {
				cout << d[s] << ' ' << d[f_m];
				return 0;
			}
		}
	}

	cout << "-1 -1";
	return 0;
}