﻿#include <iostream>
#include <algorithm>
#include <vector>

using namespace std;

bool check(int n)
{
	if (n == 1) return true;
	for (int i = 2; i * i <= n; i++)
	{
		if (n % i == 0) return true;
	}
	return false;
}

bool checkn(vector <vector <int>> &forb, vector <int> &vars)
{
	for (vector <int> elem : forb)
	{
		if (elem.size() != vars.size()) continue;
		bool flag = true;
		for (int i = 0; i < vars.size(); i++)
		{
			if (elem[i] != vars[i])
			{
				flag = false;
				break;
			}
		}
		if (flag) return false;
	}
	return true;
}

void rec(int n, vector <int> vars, vector <vector <int>> &forb)
{
	if (n == 0)
	{
		sort(vars.begin(), vars.end());
		if (checkn(forb, vars))
		{
			cout << vars[0];
			for (int i = 1; i < vars.size(); i++) cout << '+' << vars[i];
			cout << endl;
			forb.push_back(vars);
			return;
		}
	}
	for (int i = 1; i <= n; i++)
	{
		if (check(i))
		{
			vector <int> tmp = vars;
			tmp.push_back(i);
			rec(n - i, tmp, forb);
		}
	}
}

int main()
{
	int n;
	cin >> n;
	vector <int> vars;
	vector <vector <int>> forb;
	rec(n, vars, forb);
	return 0;
}