﻿#include <iostream>
#include <vector>
#include <set>
#include <algorithm>
using namespace std;
typedef long long ll;

int main() {
    ll n, k, q;
    cin >> n >> k >> q;
    multiset<pair<ll, ll>> s;
    s.insert({ n, 1 });

    for (int i = 0; i < k; i++) {
        pair<ll, ll> m = *(--s.end());
        s.erase(--s.end());
        if (m.first % 2 == 0) {
            s.insert({ m.first / 2, m.second });
            s.insert({ m.first / 2, m.second });
        }
        else {
            s.insert({ m.first / 2, m.second });
            s.insert({ m.first / 2 + 1, m.second });
        }
    }


    vector<pair<ll, ll>> ans;
    for (auto i = --s.end(); i != s.begin(); --i) {
        ans.push_back(*i);
    }
    ans.push_back(*s.begin());
    vector<ll> qs(q, 0);
    for (ll& el : qs) {
        cin >> el;
    }
    vector<ll> pref(ans.size() + 1);
    pref[0] = 0;
    for (ll i = 1; i < pref.size(); i++) {
        pref[i] = pref[i - 1] + ans[i - 1].second;
    }

    for (ll& el : qs){
        cout << ans[lower_bound(pref.begin(), pref.end(), el)-pref.begin()-1].first << ' ';
    }
}



/*
// ConsoleApplication1.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//

#include <iostream>
#include <vector>
#include <set>
using namespace std;
typedef long long ll;

ll cnt = 0;

void f(ll a, ll) {
    if (a < 0)
        return;
    if (a == 0) {
        cnt++;
        return;
    }
    for (ll i = 1; i <= a; i++) {
        f(a - i);
    }
    return;
}

int main()
{
    int n;
    int p = 2;
    while (n % p != 0) {
        p++;
    }
    int k = 0;
    while (n % p != 0) {
        k++;
        n /= p;
    }
    int q = 2;
    while (n % q != 0) {
        q++;
    }
    if (p == q) {
        f(2 * k);
        cout << cnt < , endl;
    }

    return 0;
}

*/