#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>

using namespace std;

typedef long long ll;

int main() {

	ll l0, r0;
	cin >> l0 >> r0;

	int n;
	cin >> n;

	vector<ll> d(n);
	vector<ll> fromStart(n);
	cin >> d[0];
	fromStart[0] = d[0];
	for (int i = 1; i < n; i++) {
		cin >> d[i];

		fromStart[i] = d[i] + fromStart[i - 1];
	}

	int l = -1;
	int r = 0;
	ll dist = fromStart[0];
	while (l < n && r < n) {
		if (l == -1) {
			dist = fromStart[r];
		}
		else {
			dist = fromStart[r] - fromStart[l];
		}

		if (dist >= l0 && dist <= r0) {
			break;
		}

		if (dist > r0) {
			l++;
		}
		else {
			r++;
		}
	}

	if (dist >= l0 && dist <= r0) {
		if (l == -1) {
			cout << 0;
		}
		else {
			cout << fromStart[l];
		}
		cout << " " << fromStart[r];
	}
	else {
		cout << -1 << " " << -1;
	}

	return 0;
}
