﻿#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

#define int long long

vector <int> pref;

int f(int i, int j)
{
	return pref[j + 1] - pref[i];
}

/*
100 120
7
45 45 45 35 30 35 45
*/

signed main()
{
	int ll, rr;
	cin >> ll >> rr;
	int n;
	cin >> n;
	vector <int> mas(n + 1);
	mas[0] = 0;
	for (int i = 0; i < n; i++)
	{
		int a;
		cin >> a;
		mas[i + 1] = mas[i] + a;
	}

	n++;

	vector <pair <int, int>> ans;
	for (int i = 0; i < n; i++)
	{
		int l = i, r = n;
		while (r - l > 1)
		{
			int m = (l + r) / 2;
			if (mas[m] - mas[i] >= ll && mas[m] - mas[i] <= rr)
			{
				r = m;
			}
			else
			{
				l = m;
			}
		}
		if (r != n)
		{
			ans.push_back({ r, i });
		}
	}
	sort(ans.begin(), ans.end());
	if (ans.size() == 0)
	{
		cout << -1 << " " << -1;
	}
	else
	{
		cout << mas[ans[0].second] << " " << mas[ans[0].first];
	}
}