L, R = map(int, input().split())
n = int(input())
trees = list(map(int, input().split()))
trees_prefix = [0, trees[0]]
for i in range(1, n):
    trees_prefix.append(trees[i] + trees_prefix[i])

variants = []
for start in range(n + 1):
    if trees_prefix[-1] - trees_prefix[start] < L:
        break
    else:
        for end in range(start + 1, n + 1):
            if trees_prefix[end] - trees_prefix[start] > R:
                break
            elif L <= trees_prefix[end] - trees_prefix[start]:
                variants.append([start, end])

variants.sort()
print(-1, -1) if len(variants) == 0 else print(trees_prefix[variants[0][0]], trees_prefix[variants[0][1]])
