#!/bin/python3
# F001
import math


def primec(n):
    res = []
    prime = [True] * n
    prime[1] = False
    for i in range(2, len(prime)):
        if prime[i]:
            res.append(i)
            for j in range(i * 2, len(prime), i):
                prime[j] = False
    return res


def r2pr(n):
    prime = primec(math.ceil(math.sqrt(n)) + 1)
    prime1, prime2 = None, None
    pow1, pow2 = 0, 0
    nps = 1
    npp = 0
    cp = None
    while nps <= 2:
        nc = n
        while nc % prime[npp] != 0:
            npp += 1

        if nps == 1:
            prime1 = prime[npp]
            cp = prime1
        elif nps == 2:
            prime2 = prime[npp]
            cp = prime2

        while nc % cp == 0:
            nc //= cp
            if nps == 1:
                pow1 += 1
            elif nps == 2:
                pow2 += 1

        nps += 1
        npp += 1
        if nps > 2:
            return prime1, prime2, pow1, pow2


def main(n):
    prime1, prime2, pow1, pow2 = r2pr(n)
    return (pow1 + 1) * (pow2 + 1) - 1


if __name__ == '__main__':
    n = int(input())
    res = main(n)
    print(res)
