def is_non_prime(n):
    if n < 2:
        return True
    for i in range(2, int(n**0.5) + 1):
        if n % i == 0:
            return True
    return False

def non_prime_partitions(n, I=1):

    if n == 0:
        yield ()
    for i in range(I, n+1):
        if is_non_prime(i):
            for p in non_prime_partitions(n-i, i):
                yield (i,) + p
num=int(input())
for partition in non_prime_partitions(num):
    if partition!=(num,):
        print('+'.join(map(str, partition)))
