def draw_intersection(n, l):
    if n < l or n % 2 == 0 or l % 2 == 0:
        print("Невозможно нарисовать перекресток с заданными параметрами")
        return

    road = [["." for _ in range(n)] for _ in range(n)]

    start = (n - l) // 2
    end = start + l

    # Горизонтальная дорога
    for i in range(start, end):
        road[n // 2][i] = "*"

    # Вертикальная дорога
    for i in range(start, end):
        road[i][n // 2] = "*"

    # Вывод перекрестка
    for row in road:
        print("".join(row))

# Пример использования
n = 9  # Размер изображения
l = 3  # Ширина дороги
draw_intersection(n, l)
