import java.util.Arrays;
import java.util.Scanner;

public class Main {

    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        long L = s.nextLong(), R = s.nextLong();
        int n = s.nextInt();
        s.nextLine();
        String[] split = s.nextLine().split(" ");
        int[] dist = new int[n];
        for (int i = 0; i < n; i++) dist[i] = Integer.parseInt(split[i]);
        long[] sum = new long[n + 1];
        sum[0] = 0;
        for (int i = 1; i < sum.length; i++) sum[i] = sum[i - 1] + dist[i - 1];
        for (int i = 0; i < n; i++) {
            long start = sum[i];
            long minLen = L + start;
            int ind = Arrays.binarySearch(sum, minLen);
            if (ind < 0) {
                ind = -ind - 1;
                if (ind == sum.length) continue;
            }
            long finish = sum[ind];
            if (L <= finish - start && finish - start <= R) {
                System.out.println(start + " " + finish);
                return;
            }
        }
        System.out.println("-1 -1");


    }



}
