def draw_intersection(n, l):
    # Create an empty grid with '*' as the default character
    grid = [['.' for _ in range(n)] for _ in range(n)] 

    # Calculate the starting and ending positions for the roads
    start_pos = (n - l) // 2
    end_pos = start_pos + l

    # Draw horizontal road
    for i in range(start_pos, end_pos):
        for j in range(n):
            grid[i][j] = '*'

    # Draw vertical road
    for i in range(n):
        for j in range(start_pos, end_pos):
            grid[i][j] = '*'

    # Print the grid
    for row in grid:
        print(' '.join(row))

# Test the function
n = 10  # size of the grid
l = 4   # width of the roads
draw_intersection(n, l)
