package main;

import java.util.Arrays;
import java.util.Scanner;

public class Task1 {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        int n = scanner.nextInt();

        rec("", 1, 0, n);
    }

    private static void rec(String string, int minN,int current, int sum){
        int max = sum - current;
        if(minN > max) return;
        if(!string.isEmpty()) string+="+";
        for (int i = minN; i < max; i++) {
            if(!isSimple(i)){
                rec(string + i, i, current + i, sum);
            }
        }
        if(!isSimple(max)){
            System.out.println(string + max);
        }
    }


    private static boolean isSimple(int n){
        if(n == 1) return false;
        int sqrt = (int) Math.sqrt(n);
        for (int i = 2; i <= sqrt ; i++) {
            if(n % i == 0) return false;
        }
        return true;
    }
}
