
def is_prime(num):
if num < 2:
return False
for i in range(2, int(num ** 0.5)+1):
if num % i == 0:
return False
return True

def count_nonprime_partitions(n):
dp = [0] * (n + 1)
for i in range(0, n + 1):
dp[i] = [0] * (n + 1)

for i in range(1, n+1):
for j in range(1, n+1):
if i == 1 or j == 1:
dp[i][j] = 1
elif i == j:
dp[i][j] = dp[i][j-1] + 1
elif i < j:
dp[i][j] = dp[i][i]
else:
dp[i][j] = dp[i-j][j] + dp[i][j-1]

nonprime_partitions = 0
for k in range(2, n+1):
if not is_prime(k):
nonprime_partitions += dp[n-k][k]

return nonprime_partitions

n = 10
print(count_nonprime_partitions(n))
