def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True
def non_prime_partitions(n, curr_partition=[]):
    if n == 0:
        if len(curr_partition) > 1:
            print(curr_partition)
        return
    if n < 0:
        return
    start = 1 if not curr_partition else curr_partition[-1]
    for i in range(start, n + 1):
        if not is_prime(i):
            non_prime_partitions(n - i, curr_partition + [i])
n = int(input())
non_prime_partitions(n)
