def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num**0.5) + 1):
        if num % i == 0:
            return False
    return True

def generate_partitions(n, current_partition):
    if n == 0:
        if len(current_partition) > 1:
            print('+'.join(map(str, current_partition)))
        return
    for i in range(1, n + 1):
        if not is_prime(i):
            generate_partitions(n - i, current_partition + [i])

# Read input
n = int(input())

# Generate non-prime partitions
generate_partitions(n, [])