def find_distance(L, R, n, distances):
    start = 0
    end = 0

    distance = distances[0]
    if L <= distance <= R:
        end = distance
    else:
        while end < n - 1 and distances[end + 1] - distances[start] <= R:
            end += 1
        if distances[end] - distances[start] < L or distances[end] - distances[start] > R:
            return -1, -1

    return distances[start], distances[end]


L, R = map(int, input().split())
n = int(input())
distances = list(map(int, input().split()))

start, end = find_distance(L, R, n, distances)
print(start, end)
