def find_optimal_distance(L, R, n, trees):
    start, finish = -1, -1
    max_distance = 0

    if L >= max_distance:
        max_distance = L
        start, finish = 0, L

    for i in range(n):
        middle = (trees[i] + trees[i - 1]) // 2 if i > 0 else trees[i]

        if middle - L >= max_distance:
            max_distance = middle - L
            start, finish = max(0, trees[i - 1]), middle

    if R - trees[-1] >= max_distance:
        start, finish = max(0, trees[-1]), R

    return start, finish

L, R, n = int(input()), int(input()), int(input())

trees = [int(input()) for i in range(1, n + 1)]

start, finish = find_optimal_distance(L, R, n, trees)

print(start, finish)
