def find_distance(L, R, n, distances):
    current_sum = 0
    start_index = 0
    for i in range(n):
        current_sum += distances[i]
        while current_sum > R:
            current_sum -= distances[start_index]
            start_index += 1
        if L <= current_sum <= R:
            return start_index + 1, i + 2
    return -1, -1

def main():
    L, R = map(int, input().split())
    n = int(input())
    distances = list(map(int, input().split()))
    result = find_distance(L, R, n, distances)
    print(result[0], result[1])

if __name__ == "__main__":
    main()