﻿#include <iostream>
#include <vector>
#include <cmath>
#include <set>
#include <algorithm>

using namespace std;
#define ll long long

struct node {
    ll x, y, szx, szy;
};

ll binpow(ll n, ll p) {
    ll res = 1;
    while (p) {
        if (p & 1)
            res *= n;
        n *= n;
        p >>= 1;
    }
    return res;
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    ll n, k, q;
    cin >> n >> k >> q;
    set<pair<ll, ll>> st;
    st.insert({ n, 1 });

    while (k) {
        auto to = *st.rbegin();
        st.erase(to);
        ll x = to.first;
        ll sz = to.second;
        //cout << "test: " << k << " " << x << " " << sz << "\n";
        if (k >= sz) {
            k -= sz;
            if (x & 1) {
                st.insert({ x / 2 + 1, sz });
                st.insert({ x / 2, sz });
            }
            else
                st.insert({ x / 2, sz * 2 });
        }
        else {
            st.insert({ x, sz - k });
            if (x & 1) {
                st.insert({ x / 2 + 1, k });
                st.insert({ x / 2, k });
            }
            else
                st.insert({ x / 2, k * 2 });
            k = 0;
        }
    }

    vector<pair<ll, ll>> v;
    for (auto to : st)
        v.push_back(to);
    reverse(v.begin(), v.end());
    vector<ll> ans(q);

    for (int i = 0; i < q; i++) {
        ll t;
        cin >> t;
        ll now = 0;

        for (auto to : v) {
            now += to.second;
            if (now >= t) {
                ans[i] = to.first;
                break;
            }
        }
    }

    for (ll i : ans)
        cout << i << " ";
}
