def draw_intersection(n, l):
    road_width = l
    road_offset = (n - road_width) // 2
    
    intersection = [['.' for _ in range(n)] for _ in range(n)]


    for i in range(road_offset, road_offset + road_width):
        intersection[n // 2][i] = '*'


    for i in range(road_offset, road_offset + road_width):
        intersection[i][n // 2] = '*'

    intersection_text = '\n'.join([''.join(row) for row in intersection])

    return intersection_text

n = int(input())
l = int(input())
intersection_text = draw_intersection(n, l)
print(intersection_text)
