﻿#include <iostream>
#include <vector>
#include <set>
#include <algorithm>

using namespace std;

#pragma GCC optimize("Ofast, unroll-loop")
#pragma target("avx2")



vector<long long> delim;
long long ans = 0;


void brute(long long cur, long long last=-1) {
	if (cur == 1) {
		ans++;

		return;
	}

	for (long long i = 0; i < delim.size(); i++) {

		if ((last == -1 || delim[last] >= delim[i]) && cur % delim[i] == 0) {


			brute(cur / delim[i],i);
		}
	}
}


int main() {
	iostream::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	long long n;

	cin >> n;

	for (long long i = 2; i * i <= n; i++) {
		if (n % i == 0) {
			delim.push_back(i);
			if (n / i == i) {
				continue;
			}
			delim.push_back(n / i);
		}
	}

	brute(n);
	

	cout << ans; 
}