﻿#include <iostream>
#include <vector>
#include <set>
#include <algorithm>

using namespace std;

#pragma GCC optimize("Ofast")
#pragma target("avx2, popcnt")



vector<long long> delim;


long long brute(long long cur, long long last = -1) {
    if (cur == 1) {
        return 1;
    }

    long long temp = 0;

    for (long long i = 0; i < delim.size(); i++) {
        if ((last == -1 || delim[last] >= delim[i]) && cur % delim[i] == 0) {
            temp += brute(cur / delim[i], i);
        }
    }

    return temp;
}


int main() {
    /*iostream::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);*/

    long long n;

    cin >> n;

    for (long long i = 2; i * i <= n; i++) {
        if (n % i == 0) {
            delim.push_back(i);
            if (n / i == i) {
                continue;
            }
            delim.push_back(n / i);
        }
    }

    


    cout << brute(n);
}