#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>

using namespace std;

int main() {
	long long l, r, n, a, l_bin, r_bin, m;
	bool flag = false;
	cin >> l >> r >> n;
	vector<long long> tree(n + 1);
	for (int i = 1; i <= n; i++) {
		cin >> a;
		tree[i] = tree[i - 1] + a;
	}
	for (int fin = 1; fin < n + 1; fin++) {
		r_bin = -1;
		l_bin = fin;
		while (l_bin - r_bin > 1) {
			m = (r_bin + l_bin) / 2;
			if (tree[fin] - tree[m] > r) {
				r_bin = m;
			}
			else l_bin = m;
		}
		if (tree[fin] - tree[l_bin] <= r && tree[fin] - tree[l_bin] >= l) {
			cout << tree[l_bin] << ' ' << tree[fin] << '\n';
			flag = true;
			break;
		}
	}
	if (!flag) cout << -1 << ' ' << -1 << '\n';
}