﻿#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int64_t a, b;
    cin >> a >> b;
    
    int n;
    cin >> n;
    vector<int> trees(n + 1 , 0);
    for (int i = 1; i <= n; i++) {
        cin >> trees[i];
    }
    for (int i = 1; i < n; i++) {
        trees[i] += trees[i - 1];
    }


    vector<vector<int>> var(0, vector<int>(0));
    for (int i = 0; i < n + 1; i++) {
        for (int j = i; j < n + 1; j++) {
            if ((trees[j] - trees[i]) >= a && (trees[j] - trees[i]) <= b) {
                var.push_back({ trees[i], trees[j] });
            }
        }
    }

    for (int i = 0; i < var.size(); i++) {
        for (int j = 0; j < var.size() - i - 1; j++) {
            if (var[j][1] > var[j + 1][1]) {
                swap(var[j], var[j + 1]);
            }
        }
    }

    for (int i = 0; i < var.size();) {
        if (var[0][1] < var[var.size() - 1][1]) {
            var.pop_back();
        }
        else {
            break;
        }
    }

    for (int i = 0; i < var.size(); i++) {
        for (int j = 0; j < var.size() - i - 1; j++) {
            if (var[j][0] > var[j + 1][0]) {
                swap(var[j], var[j + 1]);
            }
        }
    }

    if (var.size() == 1) {
        cout << var[0][0] << ' ' << var[0][1];
    }
    else {
        cout << "-1 -1";
    }
}