﻿#include <iostream>
#include <vector>
#include <algorithm>

int main()
{
    long long unsigned int n;
    long long unsigned int k;
    long long unsigned int q;
    long long unsigned int t;
    
    std::vector<long long unsigned int> Ropes;

    std::cin >> n;
    std::cin >> k;
    std::cin >> q;

    // Rope handling
    Ropes.push_back(n);
    for (int i = 0; i < k; i++)
    {
        if (Ropes.back() % 2 == 0)
        {
            long long half = Ropes.back() / 2;
            Ropes.back() = half;
            Ropes.push_back(half);
        }
        else
        {

            long long half = Ropes.back() / 2;
            Ropes.back() = half;
            Ropes.push_back(half + 1);
        }
        std::sort(Ropes.begin(), Ropes.end());
    }

    // requests handling
    for (int i = 0; i < q; i++)
    {
        std::cin >> t;
        std::cout << Ropes[Ropes.size() - t] << " ";
    }
    return 0;
}

/*
100
5
6
1 2 3 4 5 6

*/