#include <iostream>
#include <iomanip>
#include <algorithm>
#include <cmath>
#include <vector>
#include <map>
#include <set>
#include <string>
#include <iterator>
#include <bitset>
#include <cstdlib>
#include <unordered_map>
#include <unordered_set>
#include <chrono>
#include <random>

using namespace std;

vector<int> prime(100, 1);

vector<string> rec(int n, int m) {
    if (n == 0) {
        return {""};
    }
    if (m >  n) {
        return {};
    }
    if (n == m) {
        if (!prime[n]) {
            return {to_string(n)};
        }
        return {};
    }
    vector<string> may;
    for (int i = n; i >= m; i--) {
        if (!prime[i]) {
            vector<string> ok = rec(n - i, i);
            for (auto s : ok) {
                if (s.empty()) {
                    may.push_back(to_string(i) + s);
                } else {
                    may.push_back(to_string(i) + "+" + s);
                }
            }
        }
    }
    return may;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    for (int i = 1; i < 100; i++) {
        prime[1] = 0;
        for (int j = 2; j * j <= i; j++) {
            if (i % j == 0) {
                prime[i] = 0;
            }
        }
    }
    int n;
    cin >> n;
    vector<string> res = rec(n, 1);
    for (auto i : res) {
        cout << i << '\n';
    }
    return 0;
}