#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

bool IsPrime( int n )
{
	int Primes[] = {
	
		2, 3, 5, 7,
		11, 13, 17, 19,
		23, 29,
		31, 37,
		41, 43, 47,
		53, 59,
		61, 67
	};

	for (int i = 0; i < sizeof(Primes) / sizeof(int); i++)
		if (n == Primes[i])
			return true;

	return false;
}

void Iterate( std::vector<int> string, int remainder, int last )
{
	if (remainder < 1)
		return;
	
	if (last >= 1)
		string.push_back(last);


	if (!IsPrime(remainder))
	{
		for (auto it = string.begin(); it != string.end(); it++)
			cout << *it << '+';
		cout << remainder << endl;
	}

	for (int k = (string.size() == 0 ? 1 : *(string.end() - 1) ); remainder - k >= k; k++)
	{
		if (IsPrime(k))
			continue;
		Iterate(string, remainder - k, k);
	}
}


int main( void )
{
	int n;

	cin >> n;

	Iterate({}, n, 0);
}