def gen_counts(n, k):
    counts = {n: 1}

    while k:
        l = max(counts)
        max_cnt = counts[l]
        cnt = min(max_cnt, k)
        k -= cnt

        if cnt == max_cnt:
            counts.pop(l)
        else:
            counts[l] -= cnt

        if l & 1:
            l1 = (l + 1) >> 1
            if l1 in counts:
                counts[l1] += cnt
            else:
                counts[l1] = cnt

        l0 = l >> 1
        cnt <<= (l & 1) ^ 1
        if l0 in counts:
            counts[l0] += cnt
        else:
            counts[l0] = cnt

    return counts

def len_from_counts(counts, k):
    for l, cnt in counts:
        if cnt >= k:
            return l
        k -= cnt
    return -1

def main():
    counts = gen_counts(int(input()), int(input())).items()
    input()

    print(*[len_from_counts(counts, int(s)) for s in input().split()], sep=' ')

if __name__ == '__main__':
    main()
