#include <iostream>
#include <queue>
#include <vector>

int main( void )
{
  unsigned long long n, k;
  
  std::cin >> n >> k;
  
  std::queue<unsigned long long> QueueOdd;
  std::queue<unsigned long long> QueueEven;
  
  if (n % 2 == 0)
    QueueOdd.push(n);
  else
    QueueEven.push(n);
    
  for (unsigned long long i = 0; i < k; i++)
  {
    unsigned long long tmpOdd = 0;
    unsigned long long tmpEven = 0;
    if (!QueueOdd.empty())
      tmpOdd = QueueOdd.front();
    if (!QueueEven.empty())
      tmpEven = QueueEven.front();

    unsigned long long tmp = tmpEven;
    if (tmpOdd > tmpEven)
    {
      tmp = tmpOdd;
      QueueOdd.pop();
    }
    else
      QueueEven.pop();

    if (tmp % 2 == 0)
    {
      unsigned long long tmp2 = tmp / 2;
      QueueOdd.push(tmp2);
      QueueOdd.push(tmp2);
    }
    else
    {
      unsigned long long tmp2 = tmp / 2;
      QueueOdd.push(tmp2);
      QueueEven.push(tmp2 + 1);
    }
  }

  std::vector<unsigned long long> Mas;

  for (int i = 0; i < k + 1; i++)
  {
    unsigned long long tmpOdd = 0;
    unsigned long long tmpEven = 0;
    if (!QueueOdd.empty())
      tmpOdd = QueueOdd.front();
    if (!QueueEven.empty())
      tmpEven = QueueEven.front();

    if (tmpOdd > tmpEven)
    {
      QueueOdd.pop();
      Mas.push_back(tmpOdd);
    }
    else
    {
      QueueEven.pop();
      Mas.push_back(tmpEven);
    }
  }
  int q, t;
  std::cin >> q;
  for (int i = 0; i < q; i++)
  {
    std::cin >> t;
    std::cout << Mas[t - 1] << ' ';
  }
}
