def getMaxRopeIndex(lst):
    maxVal = lst[0]
    index = 0
    for i, val in enumerate(lst):
        if val > maxVal:
            maxVal = val
            index = i
    return index


n = int(input())
k = int(input())
q = int(input())
reqs = [int(x) for x in input().split()]

ropes = [n]
for _ in range(k):
    i = getMaxRopeIndex(ropes)
    srcRope = ropes[i]
    ropes[i] = srcRope // 2
    ropes.insert(i + 1, srcRope - ropes[i])

ropes.sort(reverse=True)
for req in reqs:
    print(ropes[req-1], end=' ')
print()
