def cut_ropes(n, k, queries):
    ropes = [n]
    for _ in range(k):
        longest_rope = max(ropes)
        ropes.remove(longest_rope)
        if longest_rope % 2 == 0:
            ropes.extend([longest_rope // 2] * 2)
        else:
            ropes.extend([longest_rope // 2, longest_rope // 2 + 1])
    ropes.sort(reverse=True)
    result = [ropes[q - 1] for q in queries]
    return result


n = int(input(""))
k = int(input(""))
num_queries = int(input(""))
queries = list(map(int, input("").split()))

result = cut_ropes(n, k, queries)
print(" ".join(map(str, result)))