#include <iostream>
#include <string>

std::string createCrossroadImage(int n, int l) {
    std::string image = "";

    int centerX = n / 2;
    int centerY = n / 2;

    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            image += ".";
        }
        image += "\n";
    }

    for (int i = 0; i < l; i++) {
        image[centerY * (n + 1) + i] = '*';
    }

    // Заполняем вертикальную дорогу
    for (int i = 0; i < l; i++) {
        image[(centerX + i) * (n + 1) + centerY] = '*';
    }

    return image;
}

int main() {
    int n, l;
    std::cout << "Введите размер изображения (n): ";
    std::cin >> n;
    std::cout << "Введите ширину дороги (l): ";
    std::cin >> l;

    std::string crossroadImage = createCrossroadImage(n, l);
    std::cout << crossroadImage;

    return 0;
}