def cut_ropes(n, k, queries):
    ropes = [n]
    for _ in range(k):
        lrope = max(ropes)
        ropes.remove(lrope)
        if lrope % 2 == 0:
            ropes.extend([lrope // 2, lrope // 2])
        else:
            ropes.extend([lrope // 2, lrope // 2 + 1])

    result = []
    for query in queries:
        result.append(sorted(ropes, reverse=True)[query - 1]) 

    return result
n = int(input())
k = int(input())
q = int(input())
queries = [int(q) for q in input().split()]

result = cut_ropes(n, k, queries)
print(result)