def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True

def get_partitions(n, min_num, current_partition, partitions):
    if n == 0:
        if len(current_partition) > 1:
            partitions.append(current_partition.copy())
        return
    
    for i in range(min_num, n + 1):
        if not is_prime(i):
            current_partition.append(i)
            get_partitions(n - i, i, current_partition, partitions)
            current_partition.pop()

def print_partitions(partitions):
    for partition in partitions:
        print("+".join(map(str, partition)))

n = int(input())
partitions = []
get_partitions(n, 1, [], partitions)
print_partitions(partitions)
