def create_crossroad(n: int, l: int) -> str:
    dots_amount = (n - l) // 2

    top_bottom = f"{'.' * dots_amount}{'*' * l}{'.' * dots_amount}\n" * dots_amount
    middle = f"{'*' * n}\n" * l

    return top_bottom + middle + top_bottom[:-1]


def main():
    n = int(input())
    l = int(input())
    crossroad = create_crossroad(n, l)

    print(crossroad)


if __name__ == "__main__":
    main()
