from math import sqrt

def count_nontrivial_factorizations(n):
    def count_divisors(num):
        divisors = 0
        sqrt_num = int(sqrt(num))
        for i in range(1, sqrt_num + 1):
            if num % i == 0:
                divisors += 1
                if i != num // i:
                    divisors += 1
        return divisors

    divisors_n = count_divisors(n)

    return (2 * divisors_n - 1) // 2

n = 100
result = count_nontrivial_factorizations(n)
print(f"Количество нетривиальных разложений числа {n} на множители: {result}")
