﻿#include <iostream>
#include <vector>

bool bin_search(std::vector<int> &v, long long l, long long r) {
    int a = 0, b = v.size() - 1;
    while (a < b) {
        int mid = (a + b) / 2;
        if (v[mid] > l && v[mid] < r) return true;
        if (v[mid] < l) {
            a = mid + 1;
            continue;
        }
        if (v[mid] > r) {
            b = mid - 1;
            continue;
        }
        return false;
    }
}

int main()
{
    long long l, r;
    std::cin >> l >> r;
    int n;
    std::cin >> n;
    std::vector<int> v(n);
    int a;
    std::cin >> a;
    v[0] = a;
    for (int i = 1; i < n; ++i) {
        std::cin >> a;
        v[i] = v[i - 1] + a;
    }
    for (int i = 0; i < v.size(); ++i) {
        std::cout << v[i] << ' ';
    }
    std::cout << std::endl;
    for (int i = 0; i < v.size(); ++i) {
        for (int j = i + 1; j < v.size(); ++j) {
            if (v[j] - v[i] > l && v[j] - v[i] < r) {
                std::cout << v[i] << ' ' << v[j];
                return 0;
            }
        }
    }
    return 0;
}