import math
from collections import Counter
from itertools import combinations


def prime_factors(n):
    i = 2
    factors = []
    while i * i <= n:
        if n % i:
            i += 1
        else:
            n //= i
            factors.append(i)
    if n > 1:
        factors.append(int(n))
    return factors


n = int(input())  # Пример числа
a1 = []
for i in range(2, 1000):
    result = math.log(n, i)
    if result.is_integer():
        result = int(result)
        break

# получим число
r = n ** (1 / result)
f = prime_factors(r)

if result == 1:
    print(1)
elif result == 2:
    print(8)
elif result == 3:
    print(32)
else:
    print(64)
