from math import log2


def get(n, k, p, c):
    if c == -1 or (c == 0 and p == 0):
        return n
    # r = 2 ** (c - 1) + min(2 ** (c - 1), p)
    l = 2 ** (c - 1) + max(0, p - 2 ** (c - 1))
    if k > l:
        return get(n // 2, k - l, min(p, 2 ** (c - 1)), c - 1)
    else:
        return get((n + 1) // 2, k, max(0, p - 2 ** (c - 1)), c - 1)


n = int(input())
k = int(input())
q = int(input())
t = list(map(int, input().split()))

k += 1
c = int(log2(k))
p = k - 2 ** c
pred = sorted([get(n, x, p, c) for x in range(1, k + 1)], reverse=True)
ans = [0] * q
for i, x in enumerate(t):
    ans[i] = pred[x - 1]
print(' '.join(map(str, ans)))
