import java.io.*;
import java.util.*;

public class fdgb {
//    static PrintWriter out;

    static int[] primes = {2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 53, 59, 61, 67};

    public static void main(String[] args) throws FileNotFoundException {
        FastReader s = new FastReader();
//        out = new PrintWriter("output.txt");
        //////////////////////////////////////////
        int n = s.nextInt();
        int l = s.nextInt();
        int up = (n + l) / 2 - 1;
        int lo = (n - l) / 2;
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < n; j++) {
                if ((i < lo && j < lo) || (i > up && j > up) || (i > up && j < lo) || (i < lo && j > up))
                    System.out.print(". ");
                else System.out.print("* ");
            }
            System.out.println();
        }
        ////////////////////////////////////////
//        int n = s.nextInt();
//        solveD(n);

//        out.flush();
    }

//    static void solveD(int n){
//
//    }
}

class MC {
    static int INF = 2000000000;

    static void printArr(int[] n) {
        for (int f : n) {
            System.out.printf("%d ", f);
        }
        System.out.println();
    }

    static void printArr(double[] n) {
        for (double f : n) {
            System.out.printf("%4f ", f);
        }
        System.out.println();
    }

    static void printRevArr(int[] n) {
        for (int i = n.length - 1; i >= 0; i--) {
            System.out.printf("%d ", n[i]);
        }
        System.out.println();
    }

    static void printArr(long[] n) {
        for (long f : n) {
            System.out.printf("%d ", f);
        }
        System.out.println();
    }

    static void printMatrix(int[][] n) {
        for (int[] f : n) {
            printArr(f);
        }
    }

    static int indexOf(int[] n, int s) {
        for (int i = 0; i < n.length; i++) {
            if (n[i] == s) return i;
        }
        return -1;
    }

    static void printMatrix(long[][] n) {
        for (long[] f : n) {
            printArr(f);
        }
    }

    static int[][] turnMatrix(int[][] n) {
        int[][] newMatrix = new int[n[0].length][n.length];
        for (int i = 0; i < n.length; i++) {
            for (int j = 0; j < n[0].length; j++) {
                newMatrix[j][i] = n[i][j];
            }
        }
        return newMatrix;
    }

    static int sum(int[] n) {
        int sum = 0;
        for (int value : n) {
            if (value < INF) sum += value;
        }
        return sum;
    }

    static void h(int a) throws FileNotFoundException {
        PrintWriter out = new PrintWriter(System.out);//new File("output.txt")
        for (int i = 0; i < a; i++) {
            for (int j = 0; j < a; j++) out.print("*");
            out.println();
        }
    }

    static long gcd(long a, long b) {
        if (a == 0) return b;
        if (b == 0) return a;
        return gcd(b % a, a);
    }

    static long gcd(int a, int b) {
        if (a == 0) return b;
        if (b == 0) return a;
        return gcd(b % a, a);
    }

    static int reversed(long s) {
        return Integer.parseInt((new StringBuilder(s + "")).reverse().toString());
    }

    static int sumDel(int x) {
        int sum = 1;
        int del = 2;
        while (del * del <= x) {
            if (x % del == 0) {
                sum += del;
                if (x / del > del)
                    sum += x / del;
            }
            del++;
        }
        return sum;
    }

    static boolean isPrime(int n) {
        if (n <= 1) return false;
        int del = 2;
        while (del * del <= n) {
            if (n % del == 0)
                return false;
            del++;
        }
        return true;
    }

    static String format(Stack<Integer> s) {
        StringBuilder ans = new StringBuilder("");
        for (Integer integer : s) {
            ans.append(integer).append(".");
        }
        return ans.toString();
    }

    static int fromRomanToArabic(String roman) {
        String[] keys = {"M", "CM", "D", "CD", "C", "XC", "L", "XL", "X", "IX", "V", "IV", "I"};
        int[] vals = {1000, 900, 500, 400, 100, 90, 50, 40, 10, 9, 5, 4, 1};
        int ans = 0;
        StringBuilder newRoman = new StringBuilder(roman);
        for (int i = 0; i < keys.length; i++) {
            while (newRoman.length() > keys[i].length() - 1 && newRoman.substring(0, keys[i].length()).equals(keys[i])) {
                ans += vals[i];
                newRoman.delete(0, keys[i].length());
            }
        }
        return ans;
    }

    static boolean isRoman(String str) {
        return str.matches("^M{0,4}(CM|CD|D?C{0,3})(XC|XL|L?X{0,3})(IX|IV|V?I{0,3})$");
    }

    static int[][] dp = new int[505][505];

    static int max(int[] n) {
        int sum = 0;
        for (int j : n) {
            sum = Math.max(j, sum);
        }
        return sum;
    }

    static int min(int[] n) {
        int sum = Integer.MAX_VALUE;
        for (int j : n) {
            sum = Math.min(j, sum);
        }
        return sum;
    }

    static int max(int[][] n) {
        int sum = 0;
        for (int[] j : n) {
            sum = Math.max(max(j), sum);
        }
        return sum;
    }

    static int min(int[][] n) {
        int sum = 0;
        for (int[] j : n) {
            sum = Math.min(min(j), sum);
        }
        return sum;
    }

    static int randomVarName = 0;

    static void dfs(int[][] v, int[][] n, int x, int y) {
        v[x][y] = 1;
//        printMatrix(v);
//        System.out.println();
        randomVarName++;
        if (x - 1 > -1 && n[x - 1][y] == 1 && v[x - 1][y] == 0) {
            dfs(v, n, x - 1, y);
        }
        if (x + 1 < n.length && n[x + 1][y] == 1 && v[x + 1][y] == 0) {
            dfs(v, n, x + 1, y);
        }
        if (y + 1 < n.length && n[x][y + 1] == 1 && v[x][y + 1] == 0) {
            dfs(v, n, x, y + 1);
        }
        if (y - 1 > -1 && n[x][y - 1] == 1 && v[x][y - 1] == 0) {
            dfs(v, n, x, y - 1);
        }

    }

    static int p(int x, int y, int w, int h) {
        if (x < 1 || y < 1 || x > w || y > h) return 0;
        if (x == 1 && y == 1) return 1;
        if (dp[x][y] != -1) return dp[x][y];
        dp[x][y] = (p(x - 2, y - 1, w, h) +
                p(x - 2, y + 1, w, h) +
                p(x - 1, y - 2, w, h) +
                p(x + 1, y - 2, w, h)) % 1000007;
        return dp[x][y];
    }

    static void ModifiedMin(int[][] n) {
        int min = n[0][0];
        int x = 0;
        int y = 0;
        for (int i = 0; i < n.length; i++) {
            for (int j = 0; j < n[i].length; j++) {
                if (min > n[i][j]) {
                    min = n[i][j];
                    x = i + 1;
                    y = j + 1;
                }
            }
        }
        System.out.println(x + " " + y);
    }

    static void floid(long[][] d) {
        int n = d.length;
        for (int k = 0; k < n; ++k)
            for (int i = 0; i < n; ++i)
                for (int j = 0; j < n; ++j)
                    if (d[i][k] > 0 && d[k][j] > 0)
                        if (d[i][j] >= 0) d[i][j] = Math.min(d[i][j], d[i][k] + d[k][j]);
                        else d[i][j] = d[i][k] + d[k][j];
    }

    static void ford_bellman(int n, int m, int v, int[][] e) {
        int[] d = new int[n];
        Arrays.fill(d, (int) INF);
        d[v] = 0;
        for (int i = 0; i < n; i++) {
            boolean any = false;
            for (int j = 0; j < m; ++j)
                if (d[e[j][0]] < INF)
                    if (d[e[j][1]] > d[e[j][0]] + e[j][2]) {
                        d[e[j][1]] = d[e[j][0]] + e[j][2];
                        any = true;
                    }
            if (!any) break;
        }
        printArr(d);
    }

    static int[][] min_tree_kruskal(int n, int[][] g) {
//        int[][] ans = new int[n - 1][2];
        int m = g.length;
        int cost = 0;
        int e = 0;
        Arrays.sort(g, Comparator.comparingInt(a -> a[2]));
        int[] tree_id = new int[n];
        for (int i = 0; i < n; ++i)
            tree_id[i] = i;
        for (int[] ints : g) {
            int a = ints[0], b = ints[1], l = ints[2];
            if (tree_id[a] != tree_id[b]) {
                cost += l;
//                ans[e][0] = a;
//                ans[e][1] = b;
//                e++;
                int old_id = tree_id[b], new_id = tree_id[a];
                for (int j = 0; j < n; ++j)
                    if (tree_id[j] == old_id)
                        tree_id[j] = new_id;
            }
        }
        System.out.println(cost);
        System.exit(0);
        return new int[][]{{0}};
    }

    static int min_tree_prim(int n, int[][] g) {
        boolean[] used = new boolean[n];
        int[] min_e = new int[n]; //sel_e = new int[n];
        Arrays.fill(min_e, INF);
//        Arrays.fill(sel_e, -1);
        min_e[0] = 0;
        for (int i = 0; i < n; ++i) {
            int v = -1;
            for (int j = 0; j < n; ++j)
                if (!used[j] && (v == -1 || min_e[j] < min_e[v]))
                    v = j;
//            if (min_e[v] == INF) {
//                cout << "No MST!";
//                exit(0);
//            }

            used[v] = true;
//            if (sel_e[v] != -1)
//                cout << v << " " << sel_e[v] << endl;

            for (int to = 0; to < n; ++to)
                if (g[v][to] < min_e[to]) {
                    min_e[to] = g[v][to];
//                    sel_e[to] = v;
                }
        }
//        printArr(min_e);
        System.out.println(sum(min_e));
        return 0;
    }

    static void printYesNo(boolean a) {
        if (a) System.out.println("YES");
        else System.out.println("NO");
    }
}

class Geom {
    static vec ZERO = new vec(0, 0);

    static double EPS = 1e-9;

    // one->two , one->three
    static double TriArea(vec one, vec two, vec three) {
        return Math.abs(vec.cross(vec.difference(two, one), vec.difference(three, one))) / 2;
    }

    static double orientedTriArea(vec one, vec two, vec three) {
        return vec.cross(vec.difference(two, one), vec.difference(three, one)) / 2;
    }

    static double PolyArea(vec[] poly) {
        double ans = 0;
        for (int i = 0; i < poly.length - 1; i++) {
            ans += orientedTriArea(ZERO, poly[i], poly[i + 1]);
        }
        ans += orientedTriArea(ZERO, poly[poly.length - 1], poly[0]);
        return Math.abs(ans);
    }

    static double PolyLength(vec[] poly) {
        double ans = 0;
        for (int i = 0; i < poly.length - 1; i++) {
            ans += vec.len(vec.difference(poly[i], poly[i + 1]));
        }
        ans += vec.len(vec.difference(poly[0], poly[poly.length - 1]));
        return ans;
    }

    static boolean isConvex(vec[] poly) {
        for (int i = 0; i < poly.length; i++) {
            if (vec.cross(vec.difference(poly[i], poly[(i + 1) % poly.length]), vec.difference(poly[(i + 1) % poly.length], poly[(i + 2) % poly.length])) * vec.cross(vec.difference(poly[(i + 1) % poly.length], poly[(i + 2) % poly.length]), vec.difference(poly[(i + 2) % poly.length], poly[(i + 3) % poly.length])) <= 0) {
                return false;
            }
        }
        return true;
    }

    static boolean pointInTri(vec point, vec one, vec two, vec three) {
        return TriArea(point, one, two) + TriArea(point, two, three) + TriArea(point, one, three) - TriArea(one, two, three) <= 0.0000000001;
    }

    static boolean pointOnPoly(vec point, vec[] poly) {
        for (int i = 0; i < poly.length - 1; i++) {
            if (isOnSegment(point, poly[i], poly[i + 1])) return true;
        }
        return isOnSegment(point, poly[0], poly[poly.length - 1]);
    }

    static boolean pointInPoly(vec point, vec[] poly) {
        boolean ans = false;
        for (int i = 0; i < poly.length - 1; i++) {
            if (pointInTri(point, ZERO, poly[i], poly[i + 1])) ans = !ans;
        }
        if (pointInTri(point, ZERO, poly[0], poly[poly.length - 1])) ans = !ans;
        return ans || pointOnPoly(point, poly);
    }

    static boolean isOnLine(vec point, vec one, vec two) {
        return Math.abs(vec.cross(vec.difference(one, point), vec.difference(two, point))) <= 0.00000000001;
    }

    static boolean isOnLine(vec point, double[] line) {
        return line[0] * point.x + line[1] * point.y + line[2] == 0;
    }

    static boolean isOnRay(vec point, vec one, vec two) {
        return isOnLine(point, one, two) && (vec.dot(vec.difference(point, one), vec.difference(two, one)) >= 0);
    }

    static boolean isOnSegment(vec point, vec one, vec two) {
        return isOnRay(point, one, two) && isOnRay(point, two, one);
    }

    static vec[] convexHull(vec[] pts) {
        Arrays.sort(pts, Comparator.comparingDouble(vec::getX));
        ArrayList<vec> upList = new ArrayList<>();
        upList.add(pts[0]);
        ArrayList<vec> downList = new ArrayList<>();
        downList.add(pts[0]);
        for (int i = 1; i < pts.length; i++) {
            if (i == pts.length - 1 || orientedTriArea(pts[0], pts[i], pts[pts.length - 1]) < 0) {
                while (upList.size() >= 2 && orientedTriArea(upList.get(upList.size() - 2), upList.get(upList.size() - 1), pts[i]) >= 0) {
                    upList.remove(upList.size() - 1);
                }
                upList.add(pts[i]);
            }
            if (i == pts.length - 1 || orientedTriArea(pts[0], pts[i], pts[pts.length - 1]) > 0) {
                while (downList.size() >= 2 && orientedTriArea(downList.get(downList.size() - 2), downList.get(downList.size() - 1), pts[i]) <= 0) {
                    downList.remove(downList.size() - 1);
                }
                downList.add(pts[i]);
            }
        }
        vec[] ans = new vec[upList.size() + downList.size() - 2];
        for (int i = 0; i < upList.size(); i++) {
            ans[i] = upList.get(i);
        }
        for (int i = 1; i < downList.size() - 1; i++) {
            ans[ans.length - i] = downList.get(i);
        }
//        for (vec an : ans) {
//            vec.print(an);
//        }
        return ans;
    }

    static vec[] convexHull3(vec points[]) {
        int n = points.length;
        ArrayList<vec> hull = new ArrayList<>();
        int l = 0;
        for (int i = 1; i < n; i++)
            if (points[i].x < points[l].x) l = i;
        int p = l, q;
        do {
            hull.add(points[p]);
            q = (p + 1) % n;
            for (int i = 0; i < n; i++) {
                if (orientedTriArea(points[p], points[i], points[q]) > 0) q = i;
            }
            p = q;
        } while (p != l);
        vec[] ans = new vec[hull.size()];
        for (int i = 0; i < ans.length; i++) {
            ans[i] = hull.get(i);
        }
        return ans;
    }

//    static vec[] convexHull2(vec[] pts) {
//        ArrayList<vec> list = new ArrayList<>();
//        list.add(pts[0]);
//        list.add(pts[1]);
//        for (int i = 2; i < pts.length; i++) {
//            list.add(pts[i]);
//            while (list.size() >= 2 && orientedTriArea(list.get(list.size() - 3), list.get(list.size() - 2), list.get(list.size() - 1)) < 0) {
//                list.remove(list.size() - 2);
//            }
//        }
//        vec[] ans = new vec[list.size()];
//        for (int i = 0; i < list.size(); i++) {
//            ans[i] = list.get(i);
//        }
//        return ans;
//    }

    static double distToLine(vec one, vec two, vec three) {
        return TriArea(one, two, three) / vec.len(vec.difference(two, three)) * 2;
    }

    static double distToLine(vec point, double[] line) {
        return Math.abs(line[0] * point.x + line[1] * point.y + line[2]) / Math.sqrt(line[0] * line[0] + line[1] * line[1]);
    }

    static double orientedDistToLine(vec point, double[] line) {
        return (line[0] * point.x + line[1] * point.y + line[2]) / Math.sqrt(line[0] * line[0] + line[1] * line[1]);
    }

    static double distToRay(vec one, vec two, vec three) {
        if (vec.dot(vec.difference(one, two), vec.difference(three, two)) >= 0) return distToLine(one, two, three);
        else return vec.len(vec.difference(one, two));
    }

    static double distToSegment(vec one, vec two, vec three) {
        return Math.max(distToRay(one, two, three), distToRay(one, three, two));
    }

    // Two points
    static double[] line(vec one, vec two) {
        return new double[]{two.y - one.y, -two.x + one.x, one.y * two.x - one.x * two.y};
    }

    // Point and vector
    static double[] line2(vec one, vec two) {
        return line(one, vec.sum(one, two));
    }

    // Point and normal
    static double[] line3(vec one, vec two) {
        return line2(one, vec.rot90(two));
    }

    static boolean linEq(double[] line1, double[] line2) {
        return (line1[0] * line2[1] == line1[1] * line2[0]) && (line1[0] * line2[2] == line1[2] * line2[0]) && (line1[2] * line2[1] == line1[1] * line2[2]);
    }

    static boolean linePar(double[] line1, double[] line2) {
        return !linEq(line1, line2) && (line1[0] * line2[1] == line1[1] * line2[0]);
    }

    static vec crossSection(double[] line1, double[] line2) {
        return new vec((line1[1] * line2[2] - line2[1] * line1[2]) / (line1[0] * line2[1] - line2[0] * line1[1]), (line1[2] * line2[0] - line2[2] * line1[0]) / (line1[0] * line2[1] - line2[0] * line1[1]));
    }

    static vec[] lineXCircle(double[] line, vec centre, double r) {
        double a = line[0];
        double b = line[1];
        double c = line[2] + centre.x * a + centre.y * b;
        System.out.println(c);
        double z = r * r * (a * a + b * b);
        double x0 = -a * c / (a * a + b * b), y0 = -b * c / (a * a + b * b);
        System.out.println(z);
        System.out.println(x0);
        System.out.println(y0);
        if (c * c > z + EPS) return new vec[]{null, null};
        else if (Math.abs(c * c - z) < EPS) {
            return new vec[]{new vec(x0, y0), new vec(x0, y0)};
        }
        double d = r * r + c * c / (a * a + b * b);
        double mult = Math.sqrt(d / (a * a + b * b));
        double ax, ay, bx, by;
        ax = x0 + b * mult;
        bx = x0 - b * mult;
        ay = y0 - a * mult;
        by = y0 + a * mult;
        return new vec[]{new vec(ax + centre.x, ay + centre.y), new vec(bx + centre.x, by + centre.y)};
    }

    static vec inversion(vec point, vec centre, double r) {
        return vec.sum(centre, vec.elongate(vec.difference(point, centre), 1 / (r * r)));
    }

    static vec[] CircleXCircle(vec c1, double r1, vec c2, double r2) {
        if (c1.x == c2.x && c1.y == c2.y && r1 == r2) return new vec[]{};
        if (vec.dot(vec.difference(c1, c2), vec.difference(c1, c2)) > (r1 + r2) * (r1 + r2) || vec.dot(vec.difference(c1, c2), vec.difference(c1, c2)) < (r1 - r2) * (r1 - r2))
            return new vec[]{null, null};
        if (vec.dot(vec.difference(c1, c2), vec.difference(c1, c2)) == (r1 + r2) * (r1 + r2))
            return new vec[]{vec.sum(c1, vec.elongate(vec.difference(c2, c1), r1 / (r1 + r2))), vec.sum(c1, vec.elongate(vec.difference(c2, c1), r1 / (r1 + r2)))};
        double d = vec.len(vec.difference(c1, c2));
        double a = (r1 * r1 - r2 * r2 + d * d) / (2 * d);
        vec one = vec.sum(vec.sum(c1, vec.elongate(vec.difference(c2, c1), a / d)), vec.elongate(vec.rot90(vec.norm(vec.difference(c2, c1))), Math.sqrt(r1 * r1 - a * a)));
        vec two = vec.difference(vec.sum(c1, vec.elongate(vec.difference(c2, c1), a / d)), vec.elongate(vec.rot90(vec.norm(vec.difference(c2, c1))), Math.sqrt(r1 * r1 - a * a)));
        return new vec[]{one, two};
    }

}

class vec {
    public double x;
    public double y;

    vec(double x, double y) {
        this.x = x;
        this.y = y;
    }

    vec(double x1, double y1, double x2, double y2) {
        this.x = x2 - x1;
        this.y = y2 - y1;
    }

    static boolean eq(vec one, vec two) {
        return one.x == two.x && one.y == two.y;
    }

    static vec norm(vec v) {
        return new vec(v.x / len(v), v.y / len(v));
    }

    public double getX() {
        return x;
    }

    public double getY() {
        return y;
    }

    static void print(vec v) {
        System.out.println(v.x + " " + v.y);
    }

    static double len(vec vector) {
        return Math.sqrt(vector.x * vector.x + vector.y * vector.y);
    }

    static double sqlen(vec vector) {
        return vector.x * vector.x + vector.y * vector.y;
    }

    static double dot(vec one, vec two) {
        return one.x * two.x + one.y * two.y;
    }

    static double cross(vec one, vec two) {
        return one.x * two.y - one.y * two.x;
    }

    static vec sum(vec one, vec two) {
        return new vec(one.x + two.x, one.y + two.y);
    }

    static vec difference(vec one, vec two) {
        return new vec(one.x - two.x, one.y - two.y);
    }

    static vec elongate(vec q, double w) {
        return new vec(q.x * w, q.y * w);
    }

    static double polarAngle(vec one) {
        return Math.atan2(one.y, one.x) < 0 ? Math.atan2(one.y, one.x) + 2 * Math.PI : Math.atan2(one.y, one.x);
    }

    static double angle(vec one, vec two) {
        return Math.acos(dot(one, two) / (len(one) * len(two)));
    }

    // Clockwise
    static vec rot(vec vector, double angle) {
        return new vec(vector.x * Math.cos(angle) + vector.y * Math.sin(angle), -vector.x * Math.sin(angle) + vector.y * Math.cos(angle));
    }

    // Clockwise
    static vec rot90(vec vector) {
        return new vec(vector.y, -vector.x);
    }
}

class FastReader {
    BufferedReader br;
    StringTokenizer st;

    public FastReader() {
        br = new BufferedReader(
                new InputStreamReader(System.in));
    }

    String next() {
        while (st == null || !st.hasMoreElements()) {
            try {
                st = new StringTokenizer(br.readLine());
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return st.nextToken();
    }

    int nextInt() {
        return Integer.parseInt(next());
    }

    long nextLong() {
        return Long.parseLong(next());
    }

    double nextDouble() {
        return Double.parseDouble(next());
    }

    String nextLine() {
        String str = "";
        try {
            if (st.hasMoreTokens()) {
                str = st.nextToken("\n");
            } else {
                str = br.readLine();
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        return str;
    }
}
