//#define _GLIBCXX_DEBUG

#include <iostream>
#include <vector>

using namespace std;
typedef long long ll;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    ll L, R; cin >> L>>R;
    int n; cin >> n;
    vector<ll> d(n);
    vector<ll> pref(n+2);
    pref[0] = 0;
    for(int i = 0; i < n; ++i){
         cin >> d[i];
         pref[i+1] = pref[i] + d[i];
         cout << pref[i + 1] << " ";
    } cout << "\n";

    int l = 0, r = 0, s = 0;

    for (r = 0; r < n; ++r) {
        s += d[r];
        if (L <= s  && s <= R) {
            cout << pref[l] <<  " " <<pref[r+1] << "\n";
            return 0;
        }
        while (s > R)
            s -= d[l++];
    }
    cout << -1 << " " << -1;
    return 0;
}
