#include <bits/stdc++.h>

using namespace std;

using ll = long long;
using ull = unsigned long long;
using lll = __int128;

ll nearest_two_power (ll n) {
    ll temp = 1ll;
    ll power = 0;
    while (temp * 2 <= n) {
        temp *= 2;
        power++;
    }
    return power;
}

void cut(priority_queue<ll>& cur_ropes, ll left) {
    if (left > 16 && floor(cur_ropes.top() / pow(2, nearest_two_power(left))) > 1) {
        ll power = nearest_two_power(left);
        left -= (pow(2, power) - 1);
        ll top = cur_ropes.top();
        cur_ropes.pop();
        for (ll i = 0; i < pow(2, power) / 2; i++) {
            cur_ropes.push(ceil(top / pow(2, power)));
            cur_ropes.push(floor(top / pow(2, power)));
        }
    }
    while (left > 0) {
        ll cur_elem = cur_ropes.top();
        cur_ropes.pop();
        if (cur_elem % 2 == 0) {
            cur_ropes.push(cur_elem / 2);
            cur_ropes.push(cur_elem / 2);
        } else {
            cur_ropes.push(ceil(cur_elem / 2.0));
            cur_ropes.push(floor(cur_elem / 2.0));
        }
        left--;
    }
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    ull n, k, q;
    cin >> n >> k >> q;
    priority_queue<ll> arr;
    vector<ll> operations;
    operations.reserve(q);
    for (ll i = 0; i < q; i++) {
        ll num;
        cin >> num;
        operations.push_back(num);
    }
    arr.push(n);
    cut(arr, k);
    ll cur_ropes_size = arr.size();
    vector<ll> nums(cur_ropes_size);
    for (ll i = 0; i < cur_ropes_size; i++) {
        nums[i] = arr.top();
        arr.pop();
    }
    for (ll i = 0; i < q; i++) {
        cout << nums[operations[i] - 1] << " ";
    }
}