def cut_ropes_length(n, k, q, queries):
    lengths = [n]
    for i in range(k):
        current_rope = lengths.pop(0)
        if current_rope % 2 == 0:
            lengths.extend([current_rope // 2] * 2)
        else:
            lengths.extend([current_rope // 2, current_rope // 2 + 1])
    sorted_lengths = sorted(lengths, reverse=True)
    result = [sorted_lengths[i - 1] for i in queries]
    return result

# Чтение входных данных
n = int(input())
k = int(input())
q = int(input())
queries = list(map(int, input().split()))

# Вызов функции и вывод результата
result = cut_ropes_length(n, k, q, queries)
print(*result)