def cut_ropes(length, k, q, queries):
    ropes = [length]

    for i in range(k):
        current_rope = ropes.pop(0)
        if current_rope % 2 == 0:
            ropes.extend([current_rope // 2, current_rope // 2])
        else:
            ropes.extend([current_rope // 2 + 1, current_rope // 2])

    sorted_ropes = sorted(ropes, reverse=True)
    result = [sorted_ropes[idx - 1] for idx in queries]

    return result


# Чтение входных данных
length = int(input())
k = int(input())
q = int(input())
queries = list(map(int, input().split()))

# Вызов функции и вывод результата
result = cut_ropes(length, k, q, queries)
print(" ".join(map(str, result)))