#include <iostream>
#include <vector>

using namespace std;

int main() {
    long long l, r, n;
    cin >> l >> r >> n;
    vector<long long> t(n);
    vector<long long> dp(n+1, 0);
    vector<long long> ans(2, 10e9);

    for (long long i = 0; i < n; i++) cin >> t[i];
    for (long long i = 1; i < n+1; i++ ){
        dp[i] = dp[i-1] + t[i-1];
    }
    for (long long it = 0; it < n; it++) {
        long long L = it - 1;
        long long R = n + 1;
        long long mid;
        while (R - L > 1) {
            mid = (R + L) / 2;
            if (dp[mid] - dp[it] >= l) {
                R = mid;
            } else {
                L = mid;
            }
        }
        if (R < 8 && dp[R] - dp[it] <= r) {
            if (dp[R] <= ans[1] && dp[it] <= ans[0]) {
                ans[0] = dp[it];
                ans[1] = dp[R];
            }
        }
    }
    cout << ans[0] << " " << ans[1];
}
