﻿#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;
int main() {
    long long L, R;
    cin >> L >> R;
    int n;
    cin >> n;
    vector <int> d(n);
    for (int& i : d)
        cin >> i;
    vector <int> PS(n + 1);
    PS[0] = 0;
    for (int i = 1; i <= n; ++i)
        PS[i] = PS[i - 1] + d[i - 1];
    long long smin = 300000000000000, tmin = 300000000000000;
    for (int i = 1; i < n; ++i)
        for (int j = 0; j < i; ++j)
            if (L <= PS[i] - PS[j] && R >= PS[i] - PS[j] && PS[j] < smin && PS[i] < tmin) {
                smin = PS[j];
                tmin = PS[i];
            }
    if (smin == 300000000000000)
        cout << -1 << ' ' << -1;
    else
    cout << smin << ' ' << tmin << '\n';
    return 0;
}
