#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>
#include <vector>

using namespace std;

typedef long long ll;

int main() {

	ll n;
	cin >> n;
	
	vector<bool> isSimple(10000, false);
	for (int i = 2; i < n; i++) {
		for (int j = 2; j * j <= i; j++) {
			isSimple[i] = isSimple[i] || (i % j == 0);
		}
		isSimple[i] = !isSimple[i];
	}


	ll cnt = 0;
	for (ll p = 2; p < n; p++) {
		if (n % p != 0 || !isSimple[p]) {
			continue;
		}
		for (ll q = p; q*p <= n; q++) {
			if (n % q != 0 || !isSimple[q]) {
				continue;
			}

			ll pr = p * q;
			ll k = 1;
			while (pr < n) {
				pr *= p * q;
				k*=8;
			}
			if (pr == n) {
				cnt+= k;
			}
		}
	}
	cout << cnt;


	return 0;
}
