﻿#include <iostream>
#include <algorithm>
#include <vector>
#include <math.h>
#include <string>
using namespace std;
int main() {
	long long L, R;
	cin >> L >> R;
	int n;
	cin >> n;
	vector<long int> d(n);
	for (int i = 0; i < n; i++) {
		cin >> d[i];
	}
	vector<long long> p(n + 1);
	p[0] = 0;
	for(int i = 0; i < n; i++) {
		p[i + 1] = p[i] + d[i];
	}
	int ibest = 0, jbest = 1;
	if (p[jbest] - p[ibest] >= L && p[jbest] - p[ibest] <= R) {
		cout << 0 << " " << p[jbest];
		return 0;
	}
	int inow = 0, jnow = 1;
	while (jnow <= n && (jnow != inow || jnow != n)) {
		if (p[jnow] - p[inow] > R) {
			inow++;
			continue;
		}
		if (p[jnow] - p[inow] < L) {
			jnow++;
			continue;
		}
		if (p[jnow] - p[inow] >= L && p[jnow] - p[inow] <= R) {
			ibest = inow;
			jbest = jnow;
			break;
		}
	}
	if (p[jbest] - p[ibest] > R) {
		cout << -1 << " " << -1;
		return 0;
	}
	if (p[jbest] - p[ibest] < L) {
		cout << -1 << " " << -1;
		return 0;
	}
	if (p[jbest] - p[ibest] >= L && p[jbest] - p[ibest] <= R) {
		cout << p[ibest] << " " << p[jbest];
		return 0;
	}
}