#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

vector<int> primes = {2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67};

bool prime(int k) {
	if (find(begin(primes), end(primes), k) != end(primes))
		return true;
	return false;
}

vector<int> cur;

void rec(int n, int l) {
	if (n == 0) {
		for (int i = 0; i < cur.size() - 1; ++i)
			cout << cur[i] << "+";
		cout << cur.back() << "\n";
		return;
	}
	for (int nxt = l; nxt <= n; ++nxt)
		if (!prime(nxt)) {
			cur.push_back(nxt);
			rec(n - nxt, nxt);
			cur.pop_back();
		}
}

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	int n;
	cin >> n;
	rec(n, 1);
}