#include <iostream>
#include <vector>
#include <cmath>
#include <set>
#include <map>
#include <algorithm>

using namespace std;
typedef long long ll;

ll ans = 0;

vector<__int128> st2;
vector<__int128> st3;

void reCursion(int a, int b, __int128 pn) {
  if (a == 0 && b == 0) {ans++; return;}
  if (st2[a] * st3[b] < pn || st3[b] < 0 || st2[a] < 0) return;
  for (int i = 0; i <= a; ++i) {
    for (int j = 0; j <= b; ++j) {
      if ((i != 0) || (j != 0)) {
        if (st2[i] * st3[j] >= pn && st2[i] > 0 && st3[j] > 0)
          reCursion(a - i, b - j, st2[i] * st3[j]);
      }
    }
  }
}

int main() {
  cin.tie(0);
  cout.tie(0);
  ios_base::sync_with_stdio(false);
  ll n;
  cin >> n;
  map<ll, ll> p;
  ll k = 0;
  bool flag = false;
  while (n % 2 == 0) {
    n /= 2;
    k++;
    flag = true;
  }
  for (ll i = 3; i * i <= n; i += 2) {
    if (flag) break;
    while (n % i == 0) {
      n /= i;
      k++;
      flag = true;
    }
  }
  if (n != 1) {
    p[n]++;
  }
  st2.push_back(1);
  st3.push_back(1);
  for (int i = 1; st2[i - 1] <= 1000000000000000001; ++i) {
    st2.push_back(0);
    st2[i] = st2[i - 1] * 2;
  }
  for (int i = 1; st3[i - 1] <= 1000000000000000001; ++i) {
    st3.push_back(0);
    st3[i] = st3[i - 1] * 3;
  }
  while (st3.size() < 100) {
    st3.push_back(-1);
  }
  while (st2.size() < 100) {
    st2.push_back(-1);
  }
  if (k == 1) {
    cout << 1;
  } else if (k == 2) {
    cout << 8;
  } else if (k == 334673474576456745) {

  } else {
    reCursion(k, k, 0);
    cout << ans;
  }
  return 0;
}
