#include <iostream>
#include <vector>

#define ll unsigned long long
using namespace std;

int main()
{
    ll l, r;
    cin >> l >> r;

    ll n;
    cin >> n;

    vector <ll> d(n);
    vector <ll> pref(n + 1);
    pref[0] = 0;
    for (int i = 0; i < n; i++) {
        cin >> d[i];
        pref[i + 1] = pref[i] + d[i];
    }

    ll pl = 0;
    ll ans_s = -1, ans_t = -1;

    while (pl <= n) {
        ll pr = (ll)(lower_bound(pref.begin(), pref.end(), pref[pl] + l) - pref.begin());
        if (pref[pr] <= r + pref[pl]) {
            ans_s = pl;
            ans_t = pr;
            break;
        }
        pl++;
    }

    if (ans_s == -1) {
        cout << -1 << " " << -1 << endl;
    } else {
        cout << pref[ans_s] << " " << pref[ans_t] << endl;
    }
    return 0;
}
