def is_prime(num):
    if num<2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True

def non_prime_partitions(n, start=1, path = []):
    if n == 0:
        if len(path) > 1:
            print('+'.join(map(str, path)))
        return
    for i in range(start, n + 1):
        if is_prime(i):
            continue
        non_prime_partitions(n - i, i, path + [i])

n = int(input())
non_prime_partitions(n)
