l, r = map(int, input().split())
n = int(input())
woods = [int(i) for i in input().split()]
woods_from_start = [0]

for i in range(n):
    woods_from_start.append(sum(woods[:(i + 1)]))

track_lens = []

for i in range(n):
    track_lens.append([])
    for j in range(i + 1, n + 1):
        track_lens[i].append(woods_from_start[j] - woods_from_start[i])

possible_tracks = []

for i in range(len(track_lens)):
    possible_tracks.append([])
    for j in range(len(track_lens[i])):
        tmp_len = track_lens[i][j]
        if l <= tmp_len <= r:
            possible_tracks[i].append((tmp_len, woods_from_start[i], woods_from_start[i + j + 1]))

shortest_finish = []
closest_finish = 0

for wood_track in possible_tracks:
    if len(wood_track) != 0:
        for track in wood_track:
            if closest_finish == 0:
                closest_finish = track[2]
            else:
                closest_finish = min(closest_finish, track[2])

for wood_track in possible_tracks:
    if len(wood_track) != 0:
        for track in wood_track:
            if track[2] == closest_finish:
                shortest_finish.append(track)

shortest_start = []
closest_start = -1

for wood_track in shortest_finish:
    if len(wood_track) != 0:
        if closest_start == -1:
            closest_start = wood_track[1]
        else:
            closest_start = min(closest_start, wood_track[1])

for wood_track in shortest_finish:
    if len(wood_track) != 0:
        if wood_track[1] == closest_start:
            shortest_start.append(wood_track)


# print(woods_from_start)
# print(track_lens)
# print(possible_tracks)
# print(shortest_finish)
# print(shortest_start)

print(shortest_start[0][1], shortest_start[0][2])
