#include <iostream>
#include <algorithm>
#include <vector>

typedef long long ll;

#define en '\n';

#define for0(i, n) for (int i = 0; i < n; i++)

using namespace std;

int main() {

    ll L, R;
    int n;
    cin >> L >> R >> n;
    vector<ll> d(n);
    for0(i, n) cin >> d[i];

    ll s = -1, t = -1;
    ll dist = 0;
    int l = 0, r = 0;

    while (r < d.size()) {
        cout << l << " " << r << ": " << dist << en;
        if (dist < L && r + 1 < d.size()) {
            r++;
            dist += d[r];
        } else if (dist > R) {
            dist -= d[l];
            l++;
        } else if (dist >= L && dist <= R) {
            s = l;
            t = r;
            break;
        } else {
            break;
        }
    }

    if (s != -1) {
        ll ans = 0;
        for0(i, s) {
            ans += d[s];
        }
        cout << ans << ' ' << ans + dist << en;
    } else {
        cout << -1 << ' ' << -1 << en;
    }
    return 0;
}