def count_valid_triangles(a, b):
    count = 0
    for c in range(max(a - b, 1), min(a + b, a + b + 1)):
        if c > a and c > b and a + b > c:

            s = (a + b + c) / 2
            area = (s * (s - a) * (s - b) * (s - c)) ** 0.5
            if area > 0:
                count += 1
    return count


a = int(input())
b = int(input())

if 1 <= a <= 10 ** 9 and 1 <= b <= 10 ** 9:
    result = count_valid_triangles(a, b)
    print(f"Количество невырожденных треугольников с длинами сторон {a}, {b}: {result}")
else:
    print("Некорректные входные данные.")
