def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num**0.5) + 1):
        if num % i == 0:
            return False
    return True

def generate_partitions(n, partition, start):
    if n == 0:
        if len(partition) > 1 and all(not is_prime(num) for num in partition):
            print('+'.join(map(str, partition)))
        return
    for i in range(start, n + 1):
        generate_partitions(n - i, partition + [i], i)

n = int(input())
generate_partitions(n, [], 1)

