def draw_intersection(n, l):
    image = [['.' for _ in range(n)] for _ in range(n)]
    start = (n - l) // 2
    end = start + l

    for i in range(n):
        for j in range(n):
            if i >= start and i < end:
                image[i][j] = '*'
            elif j >= start and j < end:
                image[i][j] = '*'

    for row in image:
        print(''.join(row))


n = int(input())
l = int(input())

draw_intersection(n, l)