def count_nontrivial_decompositions(n):
    factors = {}
    i = 2
    while i * i <= n:
        while n % i == 0:
            if i in factors:
                factors[i] += 1
            else:
                factors[i] = 1
            n //= i
        i += 1
    if n > 1:
        factors[n] = 1

    result = 1
    for power in factors.values():
        result *= (power + 1)

    return result - 1


n = int(input())
result = count_nontrivial_decompositions(n)
print(result)
