def count_nn(n):
    def primes(num):
        x = {}
        div = 2

        while div*div <= num:
            while (num % div) == 0:
                x[div] = x.get(div, 0) + 1
                num //= div

            div = div + 1

        if num > 1:
            x[num] = x.get(num, 0) + 1

        return x

    pr_fac = primes(n)

    res = 1

    for cnt in pr_fac.values():
        res *= cnt + 1

    return res - 1

print(count_nn(int(input())))
