import math


def count_valid_triangles(a, b):
    sides = sorted([a, b])

    count = 0

    for c in range(1, a + b + 1):
        if sides[0] + sides[1] > c:
            p = (sides[0] + sides[1] + c) / 2
            area = math.sqrt(p * (p - sides[0]) * (p - sides[1]) * (p - c))
            if area > 0:
                count += 1

    return count


a = int(input())
b = int(input())

result = count_valid_triangles(a, b)
print(result)
