import math
n = int(input())
max_n = 70
assert n<=max_n
assert n>=1

def is_prime(n):
    if n==2:
        return True
    if n&1==0: return False
    sq = math.ceil(math.sqrt(n))
    for i in range(3,sq):
        if n%i==0:
            return False
    return True


primes = set([i for i in range(2,max_n+1)  if is_prime(i)])
non_primes = set(i for i in range(1,max_n+1)).difference(primes)


def main(n):
    assert n>=1
    sets = list([tuple([1]*n)])
    if n<5:
        return sets
    for p in non_primes:
        if p>=n:
            if p==n:
                sets.append((p,))
            break
        r = list([_ for _ in [tuple(sorted([p]+list(_))) for _ in main(n-p)] if _ not in sets])
        sets+=r
    return sets

print(*["+".join([str(_) for _ in _]) for _ in main(n)], sep="\n")





