﻿#include <iostream>
#include <vector>
#include <cmath>
#include <set>
#include <map>
#include <algorithm>

using namespace std;
#define ll long long

struct node {
    ll x, y, szx, szy;
};

ll binpow(ll n, ll p) {
    ll res = 1;
    while (p) {
        if (p & 1)
            res *= n;
        n *= n;
        p >>= 1;
    }
    return res;
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    ll n, k, q;
    cin >> n >> k >> q;
    map<ll, ll>mp;
    mp[-n] = 1;

    while (k) {
        auto to = *mp.begin();
        mp.erase(mp.begin());
        ll x = -to.first;
        ll sz = to.second;
        //cout << "test: " << k << " " << x << " " << sz << "\n";
        if (k >= sz) {
            k -= sz;
            if (x & 1) {
                //cout << "wtf: " << x << " " << sz << "  " << x / 2 + 1 << " " << x / 2 << "\n";
                mp[-x / 2 - 1] += sz;
                mp[-x / 2] += sz;
            }
            else
                mp[-x / 2] += sz * 2;
        }
        else {
            mp[-x] += sz - k;
            if (x & 1) {
                mp[-x / 2 - 1] += k;
                mp[-x / 2] += k;
            }
            else
                mp[-x / 2] += k * 2;
            k = 0;
        }
    }

    vector<pair<ll, ll>> v;
    for (auto to : mp)
        v.push_back(to);
    //reverse(v.begin(), v.end());
    vector<ll> ans(q);

    for (int i = 0; i < q; i++) {
        ll t;
        cin >> t;
        ll now = 0;

        for (auto to : v) {
            now += to.second;
            if (now >= t) {
                ans[i] = -to.first;
                break;
            }
        }
    }

    for (ll i : ans)
        cout << i << " ";
}


/*
20
19
20
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 2
*/