#include <iostream>
#include <vector>
#include <cmath>
#include <string>
#include <map>

typedef long long ll;

bool IsP(int A)
{
  for (int i = 2; i <= (int)sqrt(A); i++)
    if (A % i == 0)
      return false;
  return true;
}

std::map<int, int> NP = { {1, 1} };
std::map<int, int> V;
int NN;

std::map<std::string, int> Res;

void GetR( int N, int N_ )
{
  if (N_ < 0)
    return;
  if (N_ == 0)
  {
    int sum = 0;
    int num = 0;
    for (auto t : V)
      num += t.second, sum += t.first * t.second;
    if (sum != NN)
      return;
    int num1 = 0;
    std::string s;
    for (auto& t : V)
    {
      for (int j = 0; j < t.second; j++)
      {
        num1++;
        s += std::to_string(t.first) + ((num1 == num) ? "\n" : "+");
      }
    }
    Res[s] = 1;
    return;
  }
  auto it = NP.find(N);
  if (it == NP.end())
    return;
  V[N] += 1;
  for (auto& it : NP)
    if (it.first <= N)
      GetR(it.first, N_ - N);
    else
      break;
  V[N] -= 1;
}

int main(void)
{
  std::map<int, int> V;

  std::cin >> NN;

  for (int i = 4; i <= NN; i++)
    if (!IsP(i))
      NP.insert({ i, 1 });

  for (auto& it : NP)
    GetR(it.first, NN);

  for (auto& t : Res)
    std::cout << t.first;

  return 0;
}