#include <iostream>
#include <vector>

int IsPrime(int a)
{
	int k = sqrt(a);

	if (a == 1)
		return 1;
	for (int i = 2; i < k + 1; i++)
	{
		if (a % i == 0)
			return 1;
	}
	return 0;
}

int n = 0;
std::vector<int> A;

void Print(int p)
{
	if (p == 0)
		return;
	for (int i = 0; i < p - 1; i++)
	{
		std::cout << A[i] << "+";
	}
	std::cout << A[p - 1] << "\n";
}
void recurse(int a, int Pos, int last)
{
	if (a == 0)
	{
		Print(Pos);
		return;
	}
	else if (Pos == n)
	{
		return;
	}
	for (int i = last; i < n; i++)
	{
		if (IsPrime(i))
		{
			A[Pos] = i;
			recurse(a - i, Pos + 1, i);
		}
	}
}
int main(void)
{
	std::cin >> n;
	A.resize(n);
	recurse(n, 0, 0);
}