

def is_prime(n):
    if n == 1:
        return False
    for i in range(2, int(n ** 0.5) + 1):
        if n % i == 0:
            return False
    return True

def count(n):
    arr = [[0] * (n + 1) for _ in range(n + 1)]
    arr[0][0] = 1
    for i in range(1, n + 1):
        arr[i][1] = 1
    for i in range(1, n + 1):
        arr[1][i] = 1
        arr[0][i] = 1
    
    for i in range(1, n + 1):
        for j in range(1, n + 1):
            if j > i:
                arr[i][j] = arr[i][i]
            else:
                 arr[i][j] = arr[i][j - 1]
                 if not is_prime(j):
                     arr[i][j] += arr[i - j][j]
    return arr


if __name__ == "__main__":
    n = int(input())
    
    arr = count(n)
    print(arr[n][n])
