def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True


def find_nonprime_partitions(n, cur_partition):
    if n == 0:
        print("+".join(map(str, cur_partition)))
    elif n > 0:
        prev = 1 if not cur_partition else cur_partition[-1]
        for i in range(prev, n + 1):
            if not is_prime(i):
                find_nonprime_partitions(n - i, cur_partition + [i])

n = int(input())

find_nonprime_partitions(n, [])