from math import sqrt


# Проверяет, является ли число простым
def isPrime(n):
	if n <= 1: return False
	if n in [2, 3]: return True
	if n % 2 == 0 or n % 3 == 0: return False

	i = 1
	while i <= sqrt(n):
		if (n % i == 0) or (n % (i+1) == 0):
			return False
		i += 1

	return True


# Генерирует все возможные разбиения числа n на слагаемые
def generateComplicatedPartitions(n: int):
	result = []

	# Если мы достигли числа 0 - возвращаем результат
	if n == 1: result.append([1])
	else:
		for i in range(2, n):
			if isPrime(i): continue

			temp = generateComplicatedPartitions(n-i)
			for j in temp:
				result.