#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;

int gcd(int a, int b);
vector<int> getPrimes(int n);

int main()
{

    int n, l;
    cin >> n >> l;
    char** field = new char* [n];
    for(int i = 0; i < n; ++i)
        field[i] = new char[n];
    for(int i = 0; i < n; ++i)
        for(int j = 0; j < n; ++j)
            field[i][j] = '.';

    int ser = n / 2;
    for(int i = ser - 1 - l / 2 + 1, j = 0 ;j < l; ++i, ++j)
        for(int k = 0; k < n; ++k)
            field[k][i] = '*';

    for(int i = ser - 1 - l / 2 + 1, j = 0 ;j < l; ++i, ++j)
        for(int k = 0; k < n; ++k)
            field[i][k] = '*';
    for(int i = 0; i < n; ++i)
    {
        for(int j = 0; j < n; ++j)
            cout << field[i][j];
        cout << endl;
    }

    for(int i = 0; i < n; ++i)
        delete[] field[i];
    delete[] field;
    return 0;
}
int gcd(int a, int b)
{
    while (a != 0 && b != 0)
        if (a > b)
            a = a % b;
        else
            b = b % a;
    return a + b;
}
vector<int> getPrimes(int n)
{
    vector<int> primes(n);

    for(int i = 0; i <= n; ++i)
        primes[i] = i;
    primes[1] = 0;

    for (int i = 2; i * i <= n; ++i)
    {
        if(primes[i])
            for(int j = i * i; j <= n; j += i)
                primes[j] = 0;
    }
    return primes;
}
