#include <iostream>
#include <vector>

void calculate(std::vector<int>& array, int L, int R, int coords) {
    if (array.empty()) {
        std::cout << "-1 -1" << std::endl;
        exit(0);
    }
    int _ = 0;
    std::vector<int> res;
    for (int i : array) {
        _ += i;
        if (L <= _ && _ <= R) {
            res.push_back(_);
        }
    }
    if (!res.empty()) {
        std::cout << coords << " " << *min_element(res.begin(), res.end()) + coords << std::endl;
        exit(0);
    } else {
        coords += array[0];
        array.erase(array.begin());
        calculate(array, L, R, coords);
    }
}

int main() {
    int L, R;
    std::cin >> L >> R;
    int n;
    std::cin >> n;
    std::vector<int> d(n);
    for (int i = 0; i < n; i++) {
        std::cin >> d[i];
    }
    calculate(d, L, R, 0);
    return 0;
}

