import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

public class Main3 {
    private static BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
    private final static List<Integer> notSimpleNumbers = new ArrayList<>();

    static {
        notSimpleNumbers.add(1);
        notSimpleNumbers.add(4);
        notSimpleNumbers.add(6);
        notSimpleNumbers.add(8);
        notSimpleNumbers.add(9);
        notSimpleNumbers.add(10);
        notSimpleNumbers.add(12);
        notSimpleNumbers.add(14);
        notSimpleNumbers.add(15);
        notSimpleNumbers.add(16);
        notSimpleNumbers.add(18);
        notSimpleNumbers.add(20);
        notSimpleNumbers.add(21);
        notSimpleNumbers.add(22);
        notSimpleNumbers.add(24);
        notSimpleNumbers.add(25);
        notSimpleNumbers.add(26);
        notSimpleNumbers.add(27);
        notSimpleNumbers.add(28);
        notSimpleNumbers.add(30);
        notSimpleNumbers.add(32);
        notSimpleNumbers.add(33);
        notSimpleNumbers.add(34);
        notSimpleNumbers.add(35);
        notSimpleNumbers.add(36);
        notSimpleNumbers.add(38);
        notSimpleNumbers.add(39);
        notSimpleNumbers.add(40);
        notSimpleNumbers.add(42);
        notSimpleNumbers.add(44);
        notSimpleNumbers.add(45);
        notSimpleNumbers.add(46);
        notSimpleNumbers.add(48);
        notSimpleNumbers.add(49);
        notSimpleNumbers.add(50);
        notSimpleNumbers.add(51);
        notSimpleNumbers.add(52);
        notSimpleNumbers.add(54);
        notSimpleNumbers.add(55);
        notSimpleNumbers.add(56);
        notSimpleNumbers.add(57);
        notSimpleNumbers.add(58);
        notSimpleNumbers.add(60);
        notSimpleNumbers.add(62);
        notSimpleNumbers.add(63);
        notSimpleNumbers.add(64);
        notSimpleNumbers.add(65);
        notSimpleNumbers.add(66);
        notSimpleNumbers.add(68);
        notSimpleNumbers.add(69);
        notSimpleNumbers.add(70);
    }
    public static void main(String[] args) throws Exception {
       int number = readInt();
        Set<List<Integer>> res = f(number, new ArrayList<>());
        StringBuilder builder = new StringBuilder();
        for (List<Integer> oneSum: res) {
            for (int i = oneSum.size()-1; i >= 0; i--) {
                builder.append((int)oneSum.get(i));
                if(i != 0)
                    builder.append('+');
            }
            builder.append('\n');
        }
        System.out.println(builder.toString());
    }

    private static Set<List<Integer>> f(int n, List<Integer> curTrace) {
        Set<List<Integer>> res = new HashSet<>();
        if(n < 2) {
            List<Integer> traceRes = new ArrayList<>(curTrace);
            if(n == 1)
                traceRes.add(1);
            res.add(traceRes);
            return res;
        }
        for (int notSimple: notSimpleNumbers) {
            if(n < notSimple || (!curTrace.isEmpty() && notSimple > curTrace.get(curTrace.size()-1)))
                break;
            List<Integer> traceRes = new ArrayList<>(curTrace);
            traceRes.add(notSimple);
            res.addAll(f(n-notSimple, traceRes));
        }

        return res;
    }

    private static boolean isSimple(int n) {
        if(n == 1)
            return false;
        for (int i = 2; i < n; i++) {
            if(n % i == 0)
                return false;
        }
        return true;
    }

    private static String readString() throws Exception {
        return reader.readLine();
    }

    private static int readInt() throws Exception {
        return Integer.parseInt(reader.readLine());
    }

    private static int[] readAr(int len) throws Exception {
        String[] intsStr = readString().split(" ");
        int[] ints = new int[len];
        for (int i = 0; i < len; i++) {
            ints[i] = Integer.parseInt(intsStr[i]);
        }

        return ints;
    }
}
