def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True


def generate_partitions(n):
    def helper(n, start, path, result):
        if n == 0:
            result.append(path)
            return
        for i in range(start, n + 1):
            if not is_prime(i):
                helper(n - i, i, path + [i], result)

    result = []
    helper(n, 2, [], result)
    return result


n = int(input())
partitions = generate_partitions(n)
for partition in partitions:
    print(partition)
