def is_prime(n):
    if n < 2:
        return False
    for i in range(2, int(n**0.5) + 1):
        if n % i == 0:
            return False
    return True


def partition(n, I=1, comb=[]):
    if n == 0:
        if all(not is_prime(i) for i in comb):
            print("+".join(map(str, comb)))
    for i in range(I, n+1):
        partition(n-i, i, comb + [i])


n = int(input())
partition(n)
