n = int(input())

def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True

def generate_decompositions(n, current_decomposition, current_sum, last_summand):
    if current_sum == n:
        print('+'.join(map(str, current_decomposition)))
        return
    for i in range(last_summand, n - current_sum + 1):
        if not is_prime(i):
            generate_decompositions(n, current_decomposition + [i], current_sum + i, i)

def non_simple_decompositions(n):
    generate_decompositions(n, [], 0, 1)

non_simple_decompositions(n)
