#include <bits/stdc++.h>

using namespace std;

using ll = long long;
using ull = unsigned long long;
using lll = __int128;

bool check_not_primary(unordered_set<int>& not_primary, int n) {
    if (not_primary.count(n)) {
        return true;
    }
    bool is_not_primary = false;
    for (int i = 2; i <= floor(sqrt(n)); i++) {
        if (n % i == 0) {
            is_not_primary = true;
            break;
        }
    }
    return is_not_primary;
}

void print_all(vector<int>& cur_nums) {
    for (size_t i = 0; i < cur_nums.size(); i++) {
        cout << cur_nums[i];
        if (i < cur_nums.size() - 1) {
            cout << "+";
        }
    }
    cout << "\n";
}

void all_variations(unordered_set<int>& not_primary, vector<int> cur_nums, int left_sum, int n) {
    if (left_sum == 0) {
        print_all(cur_nums);
        return;
    } else if (left_sum < 0) {
        return;
    }
    int start = 1;
    if (!cur_nums.empty()) {
        start = cur_nums[cur_nums.size() - 1];
    }
    for (int i = start; i <= left_sum; i++) {
        if (check_not_primary(not_primary, i)) {
            vector<int> temp = cur_nums;
            temp.push_back(i);
            all_variations(not_primary, temp, left_sum - i, n);
        }
    }
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin >> n;
    unordered_set<int> not_primary;
    not_primary.insert(1);
    all_variations(not_primary, {}, n, n);
}