#include <iostream>
#include <vector>
#include <algorithm>
#include <set>
#include <map>
#include <unordered_set>
#include <unordered_map>
#include <deque>
#include <cmath>
#include <random>
#include <string>
#include <climits>

using namespace std;
using ll = long long;
using ull = unsigned long long;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    ll l, r, n;
    cin >> l >> r >> n;
    vector<ll> ls(n + 1, 0);
    for (ll i = 1; i <= n; i++) {
        cin >> ls[i];
    }
    vector<ll> pref(n + 1, 0);
    for (ll i = 1; i <= n; i++) {
        pref[i] = pref[i - 1] + ls[i];
    }
    ll en = 0;
    while (true) {
        en++;
        ll st = 0;
        while (pref[en] - pref[st] > r) {
            st++;
        }
        if (pref[en] - pref[st] >= l) {
            cout << pref[st] << " " << pref[en];
            return 0;
        }
    }
    cout << -1 << " " << -1;
}