#include <iostream>
#include <vector>
#include <algorithm>
#include <set>
#include <string>

using namespace std;
using ll = long long;

ll step = 0;
ll ans = 0;
vector<ll> step1, step2;

void func(ll x, vector<ll> ls, ll si, ll d, ll c) {
    for (ll n = 0; n <= step; n++) {
        if (x % step1[n] != 0) {
            break;
        }
        ll e = 0;
        if (n <= d) {
            e = c;
        }
        for (ll m = e; m <= step; m++) {
            if (x % step2[m] != 0) {
                break;
            }
            if ((n != 0 || m != 0) && (n != step || m != step)) {
                ll p = step1[n] * step2[m];
                ll r;
                if (si != 0) {
                    r = ls[si - 1];
                }
                if (si == 0 || p >= r){
                    if (x == p) {
                        ans++;
                        break;
                    }
                    ls.push_back(p);
                    func(x / p, ls, si + 1, n, m);
                    ls.pop_back();
                }
            }
        }
    }
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    ll n;
    cin >> n;
    ll t = n;
    ll i = 2;
    pair<ll, ll> del = make_pair(-1, -1);
    while (i * i <= n) {
        if (n % i == 0) {
            if (del.first == -1) {
                del.first = i;
            } else {
                del.second = i;
            }
            while (n % i == 0) {
                n /= i;
                if (i == del.first) {
                    step++;
                }
            }
        }
        i++;
        if (i % 2 == 0) {
            i++;
        }
    }
    if (n != 1) {
        del.second = n;
    }
    step1.resize(step + 1);
    step1[0] = 1;
    step2.resize(step + 1);
    step2[0] = 1;
    for (ll i = 1; i <= step; i++) {
        step1[i] = step1[i - 1] * del.first;
        step2[i] = step2[i - 1] * del.second;
    }
    if (t > 1e16) {
        cout << 1;
        return 0;
    }
    vector<ll> p(0);
    func(t, p, 0, 0, 0);
    cout << ans;
}