import sys
import math
import copy

input = sys.stdin.readline


def fg():
    return int(input())


def fgh():
    return [int(xx) for xx in input().split()]


def min_p(x):
    for i in range(2, int(math.sqrt(x)) + 1):
        if x % i == 0:
            return i
    return x


n = fg()
p1 = min_p(n)
k = 0
while n % p1 == 0:
    n //= p1
    k += 1

pp = 10 ** 9 + 7
xx = 239

anses = set()

def get_ans(x, y, ans):
    if x == 0 and y == 0:
        ans.sort()
        hx, hy = 0, 0
        for i in range(len(ans)):
            hx = (hx * xx + ans[i][0]) % pp
            hy = (hy * xx + ans[i][1]) % pp
        anses.add((hx, hy))
        return
    if x < 0 or y < 0:
        return
    for dx in range(0, x + 1):
        for dy in range(0, y + 1):
            if dx + dy > 0:
                ans.append([dx, dy])
                get_ans(x - dx, y - dy, ans)
                ans.pop(-1)

get_ans(k, k, [])
print(len(anses) // 2)