import sys

input = sys.stdin.readline


def sqr(n, k):
    l = 0
    r = n // k
    while l + 1 != r:
        mid = (l + r) // 2
        if mid ** k <= n:
            l = mid
        else:
            r = mid
    return l





def solve():
    n = int(input())
    cur = 0
    for i in range(2, 10 ** 5):
        if n % i == 0:
            while n % i == 0:
                cur += 1
                n //= i
            break
    if cur == 1 or cur == 0:
        print(1)
    else:
        print(8)
    
    
    
solve()
